=== debian/changelog ===
baloo-kf5 (5.28.0-2) unstable; urgency=medium

  * Add new patch: Disable-the-file-indexer-by-default.patch

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Dec 2016 14:31:44 +0100

baloo-kf5 (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:06:03 +0100

baloo-kf5 (5.27.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Drop obsolete conffile.
    Thanks to shirish for the report (Closes: 839917)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:05:54 +0200

baloo-kf5 (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Avoid using dbus-launch to run the tests (Closes: #835837)
    Thanks to Simon McVittie for the report

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:01:44 +0200

baloo-kf5 (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 16:48:47 +0200

baloo-kf5 (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 17:51:59 +0200

baloo-kf5 (5.22.0-2) unstable; urgency=medium

  * Add new patch: build_dbus_unconditionally.patch
  * Add a kfreebsd specific install file

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jun 2016 19:15:57 +0200

baloo-kf5 (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Drop qt5-qmltooling-plugins build dependency
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed
  * Acknowledge nmu 5.16.0-1.1. Thanks to Tobias Frost (Closes: #822499)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 11:23:53 +0200

baloo-kf5 (5.16.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS: error: 'pow' is not a member of 'std'" 
    changed and why> (Closes: #822499)

 -- Tobias Frost <tobi@debian.org>  Tue, 26 Apr 2016 14:28:01 +0200
