## baloo-kf5 5.31.0

=== debian/changelog ===
baloo-kf5 (5.31.0-0ubuntu2) zesty; urgency=medium

  * Skip autopkgtest testsuite on unsupported s390x.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 09:32:08 +0000

baloo-kf5 (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:49:48 +0000

baloo-kf5 (5.30.0-0ubuntu1) zesty; urgency=medium

  * Drop upstream applied patch build_dbus_unconditionally.patch
  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:33:09 +0000

baloo-kf5 (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Drop old kio-dev build dep which is now replaced by libkf5kio-dev

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:15:15 +0000
