=== debian/control ===
--- 
+++ 
@@ -5,27 +5,26 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
-               kio-dev (>= 5.26.0~),
-               libkf5auth-dev (>= 5.14.0~),
-               libkf5config-dev (>= 5.28.0~),
-               libkf5coreaddons-dev (>= 5.28.0~),
-               libkf5crash-dev (>= 5.28.0~),
-               libkf5dbusaddons-dev (>= 5.28.0~),
-               libkf5filemetadata-dev (>= 5.28.0~),
-               libkf5i18n-dev (>= 5.28.0~),
-               libkf5idletime-dev (>= 5.28.0~),
-               libkf5kio-dev (>= 5.28.0~),
-               libkf5solid-dev (>= 5.28.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5auth-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5filemetadata-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5idletime-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5solid-dev (>= 5.31.0~),
                liblmdb-dev,
                libxapian-dev,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.5.0~),
-               qtdeclarative5-dev (>= 5.5.0~)
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/baloo
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/baloo.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/baloo.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
 
 Package: baloo-kf5-dev
 Section: devel
@@ -33,8 +32,8 @@
 Depends: baloo-kf5 (= ${binary:Version}),
          libkf5baloo5 (= ${binary:Version}),
          libkf5balooengine5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.28.0~),
-         libkf5filemetadata-dev (>= 5.28.0~),
+         libkf5coreaddons-dev (>= 5.31.0~),
+         libkf5filemetadata-dev (>= 5.31.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: baloo-dev
