## baloo-kf5 5.44.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # set minimum version requirements
-cmake_minimum_required(VERSION 2.8.12)
-set(REQUIRED_QT_VERSION 5.5.0)
-set(KF5_VERSION "5.28.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.28.0") # handled by release scripts
+cmake_minimum_required(VERSION 3.0)
+set(REQUIRED_QT_VERSION 5.7.0)
+set(KF5_VERSION "5.44.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
 
 # set up project
-project(Baloo)
+project(Baloo VERSION ${KF5_VERSION})
 
 # set up extra-cmake-modules before trying anything else
 include(FeatureSummary)
@@ -24,24 +24,32 @@
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR}
 )
 
+include(ECMSetupVersion)
+
+# set up baloo versions
+ecm_setup_version(PROJECT
+    VARIABLE_PREFIX BALOO
+    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
+    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfigVersion.cmake"
+    SOVERSION 5
+)
+
 # include optional and extra cmake stuff
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
-include(ECMPackageConfigHelpers)
-include(ECMSetupVersion)
+include(CMakePackageConfigHelpers)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMInstallIcons)
 include(ECMAddTests)
+include(ECMAddQch)
+include(ECMQtDeclareLoggingCategory)
+include(ECMMarkNonGuiExecutable)
 
-# set up baloo versions
-ecm_setup_version(${KF5_VERSION}
-    VARIABLE_PREFIX BALOO
-    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
-    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfigVersion.cmake"
-    SOVERSION 5
-)
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+
 
 # set up build dependencies
 find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core DBus Widgets Qml Quick Test)
@@ -54,15 +62,18 @@
         URL "http://symas.com/mdb"
         TYPE REQUIRED
 )
+if(${LMDB_FOUND})
+    include_directories(${LMDB_INCLUDE_DIRS})
+endif()
 
 # compiler flags and build system
 add_definitions(-DQT_NO_KEYWORDS)
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 
-set(BUILD_KINOTIFY False)
-if(CMAKE_SYSTEM_NAME MATCHES "Linux")
-    set(BUILD_KINOTIFY True)
-endif()
+find_package(Inotify)
+set_package_properties(Inotify PROPERTIES
+    PURPOSE "Filesystem alteration notifications using inotify")
+set(BUILD_KINOTIFY ${Inotify_FOUND})
 
 include_directories(
     ${CMAKE_BINARY_DIR}
@@ -86,9 +97,9 @@
 add_subdirectory(src)
 add_subdirectory(icons)
 
-if (BUILD_KINOTIFY)
-    add_subdirectory(tests)
-    add_subdirectory(autotests)
+if (BUILD_TESTING AND BUILD_KINOTIFY)
+   add_subdirectory(tests)
+   add_subdirectory(autotests)
 endif()
 
 # i18n
@@ -99,7 +110,17 @@
 # config files
 set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Baloo")
 
-ecm_configure_package_config_file(
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5Baloo_QCH
+        FILE KF5BalooQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5BalooQchTargets.cmake\")")
+endif()
+
+configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/KF5BalooConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfig.cmake"
     PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
@@ -125,5 +146,7 @@
     COMPONENT Devel
 )
 
+install(FILES baloo.categories DESTINATION ${KDE_INSTALL_CONFDIR})
+
 # and we're done
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
