=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
-
-override_dh_auto_configure:
-	$(overridden_command) -- -DBUILD_QCH=ON
 
 override_dh_strip:
 	$(overridden_command) --dbgsym-migration='baloo-kf5-dbg (<= 5.19.0-1~~)'
